Skip to main content
Folders that were deleted and are in the trash.

Trashed Folder

Represents a trashed folder.
PropertyTypeRequiredDescription
idstringYesThe unique identifier that represent a folder. The ID for any folder can be determined by visiting a folder in the web application and copying the ID from the URL. For example, for the URL https://*.app.box.com/folders/123 the folder_id is 123.
etagstringNoThe HTTP etag of this folder. This can be used within some API endpoints in the If-Match and If-None-Match headers to only perform changes on the folder if (no) changes have happened. Can be null.
typeenum<string>YesThe value will always be folder. Available options: folder.
sequence_idstringNoA numeric identifier that represents the most recent user event that has been applied to this item. This can be used in combination with the GET /events-endpoint to filter out user events that would have occurred before this identifier was read. An example would be where a Box Drive-like application would fetch an item via the API, and then listen to incoming user events for changes to the item. The application would ignore any user events where the sequence_id in the event is smaller than or equal to the sequence_id in the originally fetched resource. Can be null.
namestringYesThe name of the folder.
created_atstringNoThe date and time when the folder was created. This value may be null for some folders such as the root folder or the trash folder. Can be null.
modified_atstringNoThe date and time when the folder was last updated. This value may be null for some folders such as the root folder or the trash folder. Can be null.
descriptionstringYesThe optional description of this folder.
sizeintegerYesThe folder size in bytes. Be careful parsing this integer as its value can get very large.
path_collectionobjectYesA list of parent folders for an item in the trash.
created_byUser (Mini)YesThe user who created this folder.
modified_byUser (Mini)YesThe user who last modified this folder.
trashed_atstringNoThe time at which this folder was put in the trash. Can be null.
purged_atstringNoThe time at which this folder is expected to be purged from the trash. Can be null.
content_created_atstringNoThe date and time at which this folder was originally created. Can be null.
content_modified_atstringNoThe date and time at which this folder was last updated. Can be null.
owned_byUser (Mini)YesThe user who owns this folder.
shared_linkstringNoThe shared link for this folder. This will be null if a folder has been trashed, since the link will no longer be active. Can be null.
folder_upload_emailstringNoThe folder upload email for this folder. This will be null if a folder has been trashed, since the upload will no longer work. Can be null.
parentFolder (Mini)NoThe optional folder that this folder is located within. This value may be null for some folders such as the root folder or the trash folder. Can be null.
item_statusenum<string>YesDefines if this item has been deleted or not. - active when the item has is not in the trash - trashed when the item has been moved to the trash but not deleted - deleted when the item has been permanently deleted. Available options: active, trashed, deleted.
Example
{
  "id": "123456789",
  "etag": "1",
  "type": "folder",
  "sequence_id": "3",
  "name": "Contracts",
  "created_at": "2012-12-12T10:53:43-08:00",
  "modified_at": "2012-12-12T10:53:43-08:00",
  "description": "Legal contracts for the new ACME deal",
  "size": 629644,
  "path_collection": {
    "total_count": 1,
    "entries": [
      {
        "type": "folder",
        "id": "123456789",
        "sequence_id": null,
        "etag": null,
        "name": "Trash"
      }
    ]
  },
  "created_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "modified_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "trashed_at": "2012-12-12T10:53:43-08:00",
  "purged_at": "2012-12-12T10:53:43-08:00",
  "content_created_at": "2012-12-12T10:53:43-08:00",
  "content_modified_at": "2012-12-12T10:53:43-08:00",
  "owned_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "shared_link": null,
  "folder_upload_email": null,
  "parent": {
    "id": "12345",
    "etag": "1",
    "type": "folder",
    "sequence_id": "3",
    "name": "Contracts"
  },
  "item_status": "trashed"
}

Trashed Folder (Restored)

Represents a folder restored from the trash.
PropertyTypeRequiredDescription
idstringNoThe unique identifier that represent a folder. The ID for any folder can be determined by visiting a folder in the web application and copying the ID from the URL. For example, for the URL https://*.app.box.com/folders/123 the folder_id is 123.
etagstringNoThe HTTP etag of this folder. This can be used within some API endpoints in the If-Match and If-None-Match headers to only perform changes on the folder if (no) changes have happened. Can be null.
typeenum<string>NoThe value will always be folder. Available options: folder.
sequence_idstringNoA numeric identifier that represents the most recent user event that has been applied to this item. This can be used in combination with the GET /events-endpoint to filter out user events that would have occurred before this identifier was read. An example would be where a Box Drive-like application would fetch an item via the API, and then listen to incoming user events for changes to the item. The application would ignore any user events where the sequence_id in the event is smaller than or equal to the sequence_id in the originally fetched resource. Can be null.
namestringNoThe name of the folder.
created_atstringNoThe date and time when the folder was created. This value may be null for some folders such as the root folder or the trash folder. Can be null.
modified_atstringNoThe date and time when the folder was last updated. This value may be null for some folders such as the root folder or the trash folder. Can be null.
descriptionstringNoThe optional description of this folder.
sizeintegerNoThe folder size in bytes. Be careful parsing this integer as its value can get very large.
path_collectionobjectNoA list of parent folders for an item.
created_byUser (Mini)NoThe user who created this folder.
modified_byUser (Mini)NoThe user who last modified this folder.
trashed_atstringNoThe time at which this folder was put in the trash - becomes null after restore. Can be null.
purged_atstringNoThe time at which this folder is expected to be purged from the trash - becomes null after restore. Can be null.
content_created_atstringNoThe date and time at which this folder was originally created. Can be null.
content_modified_atstringNoThe date and time at which this folder was last updated. Can be null.
owned_byUser (Mini)NoThe user who owns this folder.
shared_linkstringNoThe shared link for this file. This will be null if a folder had been trashed, even though the original shared link does become active again. Can be null.
folder_upload_emailstringNoThe folder upload email for this folder. This will be null if a folder has been trashed, even though the original upload email does become active again. Can be null.
parentFolder (Mini)NoThe optional folder that this folder is located within. This value may be null for some folders such as the root folder or the trash folder. Can be null.
item_statusenum<string>NoDefines if this item has been deleted or not. - active when the item has is not in the trash, - trashed when the item has been moved to the trash but not deleted, - deleted when the item has been permanently deleted. Available options: active, trashed, deleted.
Example
{
  "id": "123456789",
  "etag": "1",
  "type": "folder",
  "sequence_id": "3",
  "name": "Contracts",
  "created_at": "2012-12-12T10:53:43-08:00",
  "modified_at": "2012-12-12T10:53:43-08:00",
  "description": "Legal contracts for the new ACME deal",
  "size": 629644,
  "path_collection": {
    "total_count": 1,
    "entries": [
      {
        "id": "12345",
        "etag": "1",
        "type": "folder",
        "sequence_id": "3",
        "name": "Contracts"
      }
    ]
  },
  "created_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "modified_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "trashed_at": null,
  "purged_at": null,
  "content_created_at": "2012-12-12T10:53:43-08:00",
  "content_modified_at": "2012-12-12T10:53:43-08:00",
  "owned_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "shared_link": null,
  "folder_upload_email": null,
  "parent": {
    "id": "12345",
    "etag": "1",
    "type": "folder",
    "sequence_id": "3",
    "name": "Contracts"
  },
  "item_status": "active"
}
Last modified on July 9, 2026